List Calls
curl --request GET \
--url https://api.example.com/v1/callsimport requests
url = "https://api.example.com/v1/calls"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Calls
List Calls
List recent calls with pagination
GET
/
v1
/
calls
List Calls
Returns a paginated list of your calls (recordings), sorted by most recent first.
This endpoint is an alias for List Recordings. Both return the same data.
Query Parameters
integer
default:"1"
Page number (1-indexed)
integer
default:"20"
Results per page (max 100)
Request
curl -X GET "https://app.transcord.app/api/v1/calls?limit=10" \
-H "Authorization: Bearer tr_live_your_api_key"
const response = await fetch('https://app.transcord.app/api/v1/calls?limit=10', {
headers: {
'Authorization': 'Bearer tr_live_your_api_key'
}
});
const { data, pagination } = await response.json();
Response
Response
{
"data": [
{
"id": "clx1234567890",
"callSid": "CA1234567890abcdef",
"toNumber": "+14155551234",
"fromNumber": "+14155555678",
"duration": 342,
"status": "ready",
"direction": "outbound",
"createdAt": "2026-01-15T10:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 47,
"totalPages": 5,
"hasMore": true
}
}
⌘I